KDB_INIT(8)

NAME
kdb_init - Initialize Kerberos key distribution center database

SYNOPSIS
kdb_init [ realm ]

DESCRIPTION
kdb_init initializes a Kerberos key distribution center database, creating the necessary principals.

If the optional realm argument is not present, kdb_init prompts for a realm name (defaulting to the definition in /usr/include/kerberosIV/krb.h). After determining the realm to be created, it prompts for a master key password. The master key password is used to encrypt every encryption key stored in the database.

DIAGNOSTICS

"/etc/kerberosIV/principal: File exists"
    An attempt was made to create a database on a machine which already had an existing database.

FILES

/etc/kerberosIV/principal.db
    DBM file containing database

/etc/kerberosIV/principal.ok
    Semaphore indicating that the DBM database is not being modified.

/usr/include/kerberosIV/krb.h
    Include file defining default realm

SEE ALSO
kdb_destroy(8)